package autovermietung.models;

public class Modell {
    private int mnr;
    private String modellname;
    private int hubraum;
    private int leistung;
    private float kmpreis;
    private float pauschale;

    public Modell(int nr, String mn, int h, int l, float kmp, float p) {
        this.mnr = nr;
        this.modellname = mn;
        this.hubraum = h;
        this.leistung = l;
        this.kmpreis = kmp;
        this.pauschale = p;
    }

    public int getMnr() {
        return mnr;
    }

    public void setMnr(int mnr) {
        this.mnr = mnr;
    }

    public String getModellname() {
        return modellname;
    }

    public void setModellname(String modellname) {
        this.modellname = modellname;
    }

    public int getHubraum() {
        return hubraum;
    }

    public void setHubraum(int hubraum) {
        this.hubraum = hubraum;
    }

    public int getLeistung() {
        return leistung;
    }

    public void setLeistung(int leistung) {
        this.leistung = leistung;
    }

    public float getKmpreis() {
        return kmpreis;
    }

    public void setKmpreis(float kmpreis) {
        this.kmpreis = kmpreis;
    }

    public float getPauschale() {
        return pauschale;
    }

    public void setPauschale(float pauschale) {
        this.pauschale = pauschale;
    }

    public void getInformation() {
        System.out.print(this.mnr);
        System.out.print("\t" + this.modellname);
        System.out.print("\t" + this.hubraum);
        System.out.print("\t" + this.leistung);
        System.out.print("\t" + this.kmpreis);
        System.out.println("\t" + this.pauschale);
    }
}
